Subject: Re: bug#11541: 24.0.97; Crash when visiting file on OS X 10.7.3

From: Florian Ebeling <[email-masked]>
Date: Fri, 1 Jun 2012 08:46:40 +0200

> Can you compare the values of the key variables in this test program
> with the corresponding variables in ns_findfonts, and see which one(s)
> are different?  If the code is equivalent, why does it yield non-empty
> objects, while in Emacs you get empty ones?

Yes, that is the thing that I don't under stand either.

One assumption offered earlier was stack corruption. I translated that
into probably using some already freed/release object. For that
assumption the crash occurs very predictably, though. Also I tried to
set NSZombiesEnabled=YES, and that didn't change anything.

What are other causes of stack corruption?